## stopmotion 0.6.2+git.1.10d2ea43

=== debian/changelog ===
stopmotion (0.6.2+git.1.10d2ea43-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes (Cyril
    Brulebois). Closes: #667383.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 16:31:58 +0800

stopmotion (0.6.2+git.1.10d2ea43-1) unstable; urgency=low

  * Merge changes from resurrected upstream on sourceforge + tweaks
  * Remove now-unneeded quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Mar 2012 19:23:55 +0000

stopmotion (0.6.2-2) UNRELEASED; urgency=low

  * Co-hijack package (i.e., add self as co-maintaining uploader)
  * Update debian packaging.
    - Simplify with dh mechanisms.
    - Add doc-base entry.
    - Tweak build-time link flags without editing generated Makefile.
    - Add collab-main git VCS repo to debian/control.
    - Add new project homepage to debian/control.
    - Address most lintian issues.
  * Patches
    - Use source format 3.0 (quilt).
    - Migrate debian changes to upstream code into quilt patches.
    - Quilt patches for various upstream spelling errors.
    - Quilt patch to remove desktop file encoding key.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Mar 2012 17:44:08 +0000

stopmotion (0.6.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: add math and x11 library to fix FTBFS, Patch from Matthias
    Klose <doko@ubuntu.com>. (Closes: #565056, #606721)
  * Fix Crash when read single jpg files. Patch from Ying-Chun Liu (PaulLiu)
    <paulliu@debian.org>. (Closes: #612762)

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Tue, 10 Jan 2012 19:26:27 +0700

stopmotion (0.6.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Use pidof instead of a combination of kill, ps and grep (Closes: #496027).

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 07 Dec 2010 06:07:08 +0100

stopmotion (0.6.2-1) unstable; urgency=low

  * New upstream release
    - Fixed an invalid read reported by Valgrind.
    - Fixed a crash occuring on some 64-bit systems.
    - Fixed the default translation to be the same as the locale.
    - Rewrote the file system watcher to use inotify-tools instead of FAM.
    - Included the man page in upstream tarball.
    - Updated the Italian translation.
  * segfault at startup (Closes: #488621)
  * Upgrade to Standards-Version 3.8.0.
  * Replace libfam-dev with libinotifytools-dev in control/Build-Depends

  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Fri, 25 Jul 2008 12:59:29 +0200

stopmotion (0.6.1-1) unstable; urgency=low

  * New upstream release
    - Added Italian and Turkish translation.
    - Applied a patch from Josh Green that improves copying of files.
    - Fixed problems related to file names containing white spaces.
    - Fixed gcc-4.3 compiler warnings.
    - Fixed a Qt 4.4.0 specific issue related to non-native windows.
  * not handling nostrip build option (policy 10.1) (Closes: #438071)
  * does not start (Closes: #413252)
  * Updated debian/menu to reflect the new menu policy (Apps -> Applications). 

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Fri, 09 May 2008 17:05:33 +0200

stopmotion (0.6.0-1.1) unstable; urgency=medium

   * Non-maintainer upload.
   * Fix FTBFS with GCC 4.3 (Closes: #417705).

 -- Luk Claes <luk@debian.org>  Sat, 15 Mar 2008 17:19:55 +0000

stopmotion (0.6.0-1) unstable; urgency=low

  * New upstream release
    - Added button to launch Gimp with the current active frame.
  * Added Gimp to 'Suggests' in debian/control.
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun, 25 Feb 2007 15:25:48 +0100

stopmotion (0.5.6-1) unstable; urgency=low

  * New upstream release
    - Fixed segfault after recovery and in some cases when reading
      the preferences file.
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun,  4 Feb 2007 22:48:33 +0100

stopmotion (0.5.5-1) unstable; urgency=low

  * New upstream release
     - Added Portuguese translation and updated the "thanks to" list.
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sat,  6 Jan 2007 15:13:35 +0100

stopmotion (0.5.4-1) unstable; urgency=low

  * New upstream release
      - Added translations: german, spanish and swedish
      - Added yet another import option for dvgrab
      - Fixed out-of-sync issue with SDL window
  * stopmotion fails to start (Closes: #387768)
  * stopmotion missing on the K menu (under multimedia) (Closes:
    #397286)
  * Missing packages in debian/control's Suggests: (Closes: #376921) 
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Thu,  4 Jan 2007 23:05:22 +0100

stopmotion (0.5.3-1) unstable; urgency=low

  * New upstream release
     - Added dynamic translation to the preferences menu
  * Fixes FTBFS during the second time build (Closes: #373172)
  * Upload sponsored by Morten Werner Olsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sat, 24 Jun 2006 13:55:31 +0200

stopmotion (0.5.2-1) unstable; urgency=low

  * Added automatic detection and setup of v4l devices (Closes: #366237)
  * Added videodog as an import command
  * Fixed segfault when removing empty scene
  * Updated the norwegian translation
  * Manual page included in upstream
  * Cosmetic changes to the manual page
  * Removed config.sub and config.guess from rules
  * Removed Andreas from the uploaders field in control
  * Upload sponsored by Morten Werner Olsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun,  4 Jun 2006 15:16:25 +0200

stopmotion (0.5.1-1) unstable; urgency=low

  * Changed from '/bin/which' to 'which' in the Util class
  * Changed from 'INSTALL_ROOT' to 'prefix' on install targets in the
    Makefile
  * Included cassert.h in the Util class
  * Fixed minor bug related to opening and closing of scenes

