=== debian/control ===
Source: stopmotion
Section: x11
Priority: optional
Maintainer: Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9),
	pkg-config,
	libinotifytools-dev,
	libqt4-dev,
	libsdl-image1.2-dev,
	libsdl1.2-dev,
	libtar-dev,
	libvorbis-dev,
	libxml2-dev
Standards-Version: 3.9.3
Homepage: http://linuxstopmotion.sourceforge.net
Vcs-Git: git://git.debian.org/git/collab-maint/stopmotion.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/stopmotion.git

Package: stopmotion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: vgrabbj, dvgrab, ffmpeg
Suggests: gimp
Description: program for creating stop motion animations
 You can create stop-motion animations with images grabbed
 from your favourite video device. You just sets stopmotion to
 use a grabber program which works with your device. It is also 
 possible to do the same with video export; just plug in an
 encoder capable of doing video export from couple of images.
 .
 Stopmotion has a set of tools which helps you creating the 
 movements smooth and precise.
