## stopmotion 0.7.2

=== debian/changelog ===
stopmotion (0.7.2-1) unstable; urgency=low

  * New upstream version
    - switch from /usr/bin/ffmpeg to /usr/bin/avconv (closes: #724948)
    - German translation fix (closes: #516765)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 23 Jan 2014 23:02:40 +0000

stopmotion (0.7.1-1) unstable; urgency=low

  * New upstream version
  * Adapt to upstream switch to qmake

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Jan 2014 23:32:51 +0100

stopmotion (0.6.2+git.1.10d2ea43-2) unstable; urgency=low

  * Merge and acknowledge (Thanks Matthias!) NMU
  * Include a bunch of minor fixes like PATH_MAX, see git for details

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Jul 2012 09:18:19 +0100
