=== debian/control ===
Source: stopmotion
Section: video
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>,
	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
Build-Depends: debhelper (>= 9),
	pkg-config,
	libinotifytools-dev,
	libqt4-dev,
	libsdl-image1.2-dev,
	libsdl1.2-dev,
	libtar-dev,
	libvorbis-dev,
	libxml2-dev
Standards-Version: 3.9.5
Homepage: http://linuxstopmotion.sourceforge.net
Vcs-Git: git://anonscm.debian.org/collab-maint/stopmotion.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git

Package: stopmotion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: vgrabbj, dvgrab, ffmpeg
Suggests: gimp
Description: create stop-motion animations
 Create stop-motion animations with images grabbed from a video
 device, or from image files, or from still images extracted from
 video.  Stopmotion has a set of tools which helps you keep the
 movements smooth and precise, such as ghosting the last image on a
 live view of the next image to be acquired.
