=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	@echo "generating binary translation files translations/*.qm"
	lrelease stopmotion.pro
	dh_auto_configure

# prevent attempt when parallel to chmod installed *.qm before they're installed
override_dh_auto_install:
	dh_auto_install --max-parallel=1
