## stopmotion 0.8.0

=== debian/changelog ===
stopmotion (0.8.0-5) unstable; urgency=medium

  * patch from Georges Khaznadar <georgesk@debian.org> for vgrabbj daemon
    mode return code (closes: #785459)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 May 2015 10:17:56 +0100

stopmotion (0.8.0-4) unstable; urgency=medium

  * stop ignoring failures in dh_auto_test

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Dec 2014 11:14:34 +0000

stopmotion (0.8.0-3) unstable; urgency=medium

  * Merge upstream fixes
    - acbfcf4 Added some logging for mock file system initialization errors
    - 269f47a Fixed lrelease output directory
    - 3dce257 Using /tmp not home directory for generated test files
    - 87a451d Factored out TestHome and used it to wrap the real command tests
    - 6b8fc18 Listed *.qm files more sanely
    - 2a5de1c Fixed target.path configs and PREFIX
    - 04f10de Fixed INSTALL_ROOT and PREFIX to match convention
    - ad1d9cf Using standard ioctl to detect webcams
    - 6a2ed5b Deleted libng source
    - 653bb40 Turned warnings on and eliminated most of them
    - da252f3 translation install target appears even if no qm files yet
    - 6124aa0 removed dummy target
    These fix two things:
    - build system fixes, to install *.qm files without workarounds
    - update camera detection to use ioctl mechanisms, for portability
  * upstream build system fixes obviate necessity of *.qm workaround
  * re-enable dh_auto_test but ignore failures

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 06 Dec 2014 22:15:07 +0000

stopmotion (0.8.0-2) unstable; urgency=medium

  * Merge upstream fixes
    - da7af98 corrected README. 'make' makes just release, not release+debug
    - 678cdf7 Fix lintian issue desktop-mime-but-no-exec-code
    - 473a291 Removed last PATH_MAX references to allow it to compile on Hurd
  * disable dh_auto_test because it fails on the autobuilders

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Nov 2014 16:58:44 +0000

stopmotion (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * No longer uses libinotify
  * Fixes many issues in Ubuntu bug tracker:
    - 863965 No save dialog on exit (unnecessary as recovery is now seamless)
    - 910532 Edit operations are not correct
    - 923447 Deleting scene not undoable
    - 1194805 Resume capture will start at a random point
    - 1194818 Recovery function puts frames in the wrong order
    - 863979 Captured frames not stored on disk
    - 1069370 Cut and paste doesn't work on the timeline
    - 864052 Autosaving (recovery does this job)
    - 1036282 Onionskinning ignores changes in the timeline
    - 1050180 Framebar reentrancy causes crashes
    - 1069372 Inconsistent drag and drop behaviour
    - 1210879 We need a decent undo and recovery system
  * Other notable upstream changes and fixes:
    - Exporting gets the frames in the right order
    - Allows selection with shift+left/right
    - Correctly en/disables undo/redo/save and sets title
    - enable/disable loop button whenever play button enabled/disabled
    - onionskinning alpha value fix
    - and many more
  * Work around *.qm issue in build system: must exist in build/ prior to
    qmake to get *.qm included in install target

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 20 Nov 2014 19:52:52 +0000
