=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
 Build-Depends: debhelper (>= 9),
 	pkg-config,
-	libinotifytools-dev,
 	libqt4-dev,
 	libsdl-image1.2-dev,
 	libsdl1.2-dev,
 	libtar-dev,
 	libvorbis-dev,
 	libxml2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://linuxstopmotion.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/stopmotion.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git
