=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 	libtar-dev,
 	libvorbis-dev,
 	libxml2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://linuxstopmotion.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/stopmotion.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git
 
 Package: stopmotion
 Architecture: any
