=== debian/control ===
--- 
+++ 
@@ -4,11 +4,9 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>,
 	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
 	pkg-config,
 	libqt4-dev,
-	libsdl-image1.2-dev,
-	libsdl1.2-dev,
 	libtar-dev,
 	libvorbis-dev,
 	libxml2-dev
@@ -20,7 +18,7 @@
 Package: stopmotion
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: vgrabbj, dvgrab, ffmpeg
+Recommends: vgrabbj, dvgrab, ffmpeg, uvccapture
 Suggests: gimp
 Description: create stop-motion animations
  Create stop-motion animations with images grabbed from a video
