=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = 4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
