=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,3 @@
 
 %:
 	dh $@
-
-override_dh_auto_test:
