=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
