## stopmotion 0.8.5

=== debian/changelog ===
stopmotion (0.8.5-4) unstable; urgency=medium

  * use pkg-config instead of obsolescent xml2-config (closes: #949501)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Apr 2021 09:01:22 +0100

stopmotion (0.8.5-3) unstable; urgency=medium

  * bump policy, no changes required
  * bump to debhelper 13
  * Fix day-of-week for changelog entry 0.pre3.4-1
  * Add pithy comment to debian/watch
  * stop quoting %s in mimecap entry (closes: #987415)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 23 Apr 2021 20:56:40 +0100

stopmotion (0.8.5-2) unstable; urgency=medium

  * hack around integer size mismatch to std::min() on 32-bit systems

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Nov 2019 15:45:05 +0000

stopmotion (0.8.5-1) unstable; urgency=medium

  * new upstream release
  * bump debhelper version
  * bump policy, no changes required
  * futz with gbp.conf for no good reason

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 10 Nov 2019 16:33:15 +0000

stopmotion (0.8.4-3) unstable; urgency=medium

  * track upstream mods
  * swizzle packaging repo to salsa
  * bump policy, no changes required
  * modernize debian/copyright
  * secure debian/watch URL

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Jul 2018 08:14:59 +0100
