=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>,
 	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
 	pkg-config,
 	qtbase5-dev, qttools5-dev-tools,
+	qtmultimedia5-dev,
 	libtar-dev,
 	libvorbis-dev,
 	libxml2-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://linuxstopmotion.sourceforge.net
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/stopmotion.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git
+Vcs-Git: https://salsa.debian.org/debian/stopmotion.git
+Vcs-Browser: https://salsa.debian.org/debian/stopmotion
 
 Package: stopmotion
 Architecture: any
