## stopmotion 0.8.6

=== debian/changelog ===
stopmotion (0.8.6-3) unstable; urgency=medium

  * track upstream development
  * bump policy, no changes required
  * merge "swizzle libtar to libarchive" patch (closes: #1072585)
    https://invent.kde.org/multimedia/stopmotion/-/merge_requests/20

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Jun 2024 09:06:54 +0100

stopmotion (0.8.6-2) unstable; urgency=medium

  * track upstream development which merged our quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Dec 2022 17:17:24 +0000

stopmotion (0.8.6-1) unstable; urgency=medium

  * upstream development repostory has moved; update pointers
  * new upstream release
  * move xml2-config to pkg-config fix into quilt patch
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Build test executable before test
  * Patch spelling errors
  * update documentation location
  * delete mime file as it has been upstreamed
    - install upstream mime file
  * delete *.manpages as upstream installs stopmotion.1
  * delete stopmotion.install as upstream installs all this stuff
  * cmake build dependency, and update pkg-config to allow pkgconf
  * build dependency on qttools5-dev for cmake/Qt5LinguistTools/

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 Dec 2022 20:27:04 +0000
