=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>,
 	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
 Build-Depends: debhelper-compat (= 13),
-	pkg-config,
+	cmake,
+	pkgconf | pkg-config,
 	qtbase5-dev, qttools5-dev-tools,
+	qttools5-dev,
 	qtmultimedia5-dev,
-	libtar-dev,
+	libarchive-dev,
 	libvorbis-dev,
 	libxml2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: http://linuxstopmotion.sourceforge.net
+Homepage: https://invent.kde.org/multimedia/stopmotion
 Vcs-Git: https://salsa.debian.org/debian/stopmotion.git
 Vcs-Browser: https://salsa.debian.org/debian/stopmotion
