## stopmotion 0.8.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.14)
 
 project(stopmotion
-  VERSION 0.8.6
+  VERSION 0.8.7
   LANGUAGES CXX)
 
 # set project options required by Qt
@@ -33,12 +33,8 @@
 find_package(LibXml2
   REQUIRED)
 
-# libtar
-find_file(TAR_INCLUDE_PATH
-  NAMES libtar.h
-  REQUIRED)
-find_library(TAR_LIBRARY_PATH
-  NAMES tar
+# libarchive
+find_package(LibArchive
   REQUIRED)
 
 # libVorbisFile
@@ -169,11 +165,11 @@
 # link to LibXml2
 target_link_libraries(stopmotion
   PUBLIC LibXml2::LibXml2)
-# link to libVorbis, libtar
+# link to libVorbis, libarchive
 target_link_libraries(stopmotion
   PUBLIC
   ${VORBISFILE_LIBRARY_PATH}
-  ${TAR_LIBRARY_PATH}
+  LibArchive::LibArchive
   )
 
 target_include_directories(stopmotion
