=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -91,12 +91,12 @@
 # link to LibXml2
 target_link_libraries(test-stopmotion
   PUBLIC LibXml2::LibXml2)
-# link to libVorbisFile, libtar
+# link to libVorbisFile, libarchive
 target_link_libraries(test-stopmotion
   PUBLIC
   oomtestutil oomteststub
   ${VORBISFILE_LIBRARY_PATH}
-  ${TAR_LIBRARY_PATH}
+  LibArchive::LibArchive
   ${DL_LIBRARY_PATH}
   )
