=== debian/changelog ===
stopmotion (0.8.7-1) unstable; urgency=medium

  * new upstream release
  * track last-minute upstream translations
  * remove "| pkg-config" build dependency

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Aug 2024 20:17:42 +0100
