=== translations/CMakeLists.txt ===
configure_file(translations.qrc ${CMAKE_BINARY_DIR} COPYONLY)
