=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-if(EXISTS "${DL_LIBRARY_PATH}" AND "${Qt5Test_FOUND}")
+if(BUILD_TESTING)
   add_library(oomtestutil
-    SHARED EXCLUDE_FROM_ALL
+    SHARED
     oomtestutil.cpp)
   target_compile_definitions(oomtestutil
     PUBLIC
@@ -13,7 +13,6 @@
     ${DL_LIBRARY_PATH})
 
   add_library(oomteststub
-    EXCLUDE_FROM_ALL
     oomteststub.cpp)
   target_compile_definitions(oomteststub
     PUBLIC
@@ -76,41 +75,36 @@
     ../foundation/logger.cpp
     )
 
-set_target_properties(test-stopmotion
-  PROPERTIES
-  EXCLUDE_FROM_ALL true)
+  # link to Qt libraries
+  target_link_libraries(test-stopmotion
+    PUBLIC
+    Qt6::Core
+    Qt6::Widgets
+    Qt6::Multimedia
+    Qt6::Test
+    )
+  # link to LibXml2
+  target_link_libraries(test-stopmotion
+    PUBLIC LibXml2::LibXml2)
+  # link to libVorbisFile, libtar
+  target_link_libraries(test-stopmotion
+    PUBLIC
+    oomtestutil oomteststub
+    ${VORBISFILE_LIBRARY_PATH}
+    LibArchive::LibArchive
+    ${DL_LIBRARY_PATH}
+    )
 
-# link to Qt libraries
-target_link_libraries(test-stopmotion
-  PUBLIC
-  Qt5::Core
-  Qt5::Widgets
-  Qt5::Multimedia
-  Qt5::Test
-  )
-# link to LibXml2
-target_link_libraries(test-stopmotion
-  PUBLIC LibXml2::LibXml2)
-# link to libVorbisFile, libarchive
-target_link_libraries(test-stopmotion
-  PUBLIC
-  oomtestutil oomteststub
-  ${VORBISFILE_LIBRARY_PATH}
-  LibArchive::LibArchive
-  ${DL_LIBRARY_PATH}
-  )
+  target_include_directories(test-stopmotion
+    PUBLIC
+    ${CMAKE_SOURCE_DIR})
 
-target_include_directories(test-stopmotion
-  PUBLIC
-  ${CMAKE_SOURCE_DIR})
+  # add test executable to CTest suite
+  add_test(
+    NAME test-stopmotion
+    COMMAND test-stopmotion)
 
-# add test executable to CTest suite
-add_test(
-  NAME test-stopmotion
-  COMMAND test-stopmotion)
-
-# link files required for test
-file(CREATE_LINK ${CMAKE_CURRENT_SOURCE_DIR}/resources ${CMAKE_CURRENT_BINARY_DIR}/resources
-     COPY_ON_ERROR SYMBOLIC)
-
+  # link files required for test
+  file(CREATE_LINK ${CMAKE_CURRENT_SOURCE_DIR}/resources ${CMAKE_CURRENT_BINARY_DIR}/resources
+      COPY_ON_ERROR SYMBOLIC)
 endif()
