=== debian/changelog ===
stopmotion (0.9.0-1) unstable; urgency=medium

  * new upstream release
  * update build scripts for qt6

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 30 May 2025 12:17:51 +0100
