=== debian/watch ===
version=4

opts="mode=git" \
 https://invent.kde.org/multimedia/stopmotion.git \
 refs/tags/v?([\d\.]+) debian uupdate

## Would use
##   refs/tags/v?@ANY_VERSION@
## but that matches things like 0.8.6-RC1.
